###################################################################
package BU::PSA::Backup::AnonFTP;
###################################################################

require 5.004;
require Exporter;
use Carp;

use BU::PSA::Const;
use BU::Logger;
use BU::PSA::DB;
use MIME::Base64 qw(encode_base64 decode_base64);
use BU::PSA::CommonFunc;

use BU::PSA::Backup::CommonFunc;

@ISA = qw(Exporter);

@EXPORT = qw(dumpAnonFTPRef);


sub dumpAnonFTPRef
{
	my ($doc, $dom_id) = @_;

	my $base_node = undef;

	my @anon_ftp_params=('status', 'incoming', 'max_conn', 'bandwidth',
						'incoming', 'incoming_readable', 'incoming_subdirs',
						'display_login', 'login_text');

	my $query = dbDoQuery('SELECT * FROM anon_ftp WHERE dom_id="' . $dom_id . '"');
	if (my $href = $query->fetchrow_hashref()) {
		$base_node = $doc->createElement('anon_ftp');

		foreach my $param (@anon_ftp_params) {
			$base_node->setAttribute($param, a2u($$href{$param}));
		}

		my $sn = $doc->createElement('size');
		$sn->setAttribute('limit',$$href{'quota'});
		$base_node->appendChild($sn);
	}

	return $base_node;
}

return 1;

