###################################################################
package BU::PSA::Backup::LogRotation;
###################################################################

require 5.004;
require Exporter;
use Carp;

use BU::PSA::Const;
use BU::Logger;
use BU::PSA::DB;
use MIME::Base64 qw(encode_base64 decode_base64);
use BU::PSA::CommonFunc;

use BU::PSA::Backup::CommonFunc;

@ISA = qw(Exporter);

@EXPORT = qw(dumpLogRotationRef);

sub dumpLogRotationRef
{
	my ($doc, $dom_id) = @_;

	$base_node = undef;

	my $query = dbDoQuery('SELECT lr.* FROM dom_param dp, log_rotation lr WHERE dp.param="logrotation_id" AND dp.val=lr.id AND dp.dom_id="' . $dom_id . '"');
	if (my $href = $query->fetchrow_hashref) {
		delete $$href{id};

		$base_node = $doc->createElement('log_rotation');
		while (my ($field, $value) = each (%$href)) {
			$base_node->setAttribute($field, a2u($value));
		}
	}

	return $base_node;
}


return 1;

