###################################################################
package BU::PSA::Backup::SpamAssassin;
###################################################################

require 5.004;
require Exporter;
use Carp;

use BU::PSA::Const;
use BU::Logger;
use BU::PSA::DB;
use MIME::Base64 qw(encode_base64 decode_base64);
use BU::PSA::CommonFunc;
use BU::XML::CommonFunc;

use BU::PSA::Backup::CommonFunc;

@ISA = qw(Exporter);

@EXPORT = qw(dumpSpamAssassinConfRef);


sub dumpSpamAssassinConfRef
{
	my ($doc, $mailname, $href) = @_;

	my $base_node = createNodeFromHash($doc, 'spamassassin', $href);

	my $query = dbDoQuery('SELECT * FROM sa_list WHERE mailname=' . dbQuote($mailname));
	while (my $href2 = $query->fetchrow_hashref()) {
		delete $$href2{'mailname'};
		if (my $sn = createNodeFromHash($doc, 'record', $href2)) {
			$base_node->appendChild($sn);
		}
	}

	return $base_node;
}

return 1;

